/**
 * 规格
 */
const specification = [
    {id: 'general', label: '通用型', explain: '提供均衡的CPU计算能力，较之其他类型的弹性云服务器，CPU使用率最灵活且成本最低。'},
    {id: 'calculate', label: '计算型', explain: '提供基本水平的CPU性能、平衡的计算资源，同时可根据工作负载的需要实现性能的突增，具有短期发挥更高性能的能力。'},
    {id: 'highFrequencyCalculate', label: '高频计算型', explain: 'CPU独享，云主机间无CPU资源争抢，性能强劲稳定，提供更高的性能，满足不同场景需求。'},
    {id: 'GPUShootThrough', label: 'GPU直通型', explain: 'GPU硬件直接挂载云主机使用，独享GPU性能，其性能接近原生硬件的性能。'},
    {id: 'GPUVirtual', label: 'GPU虚拟型', explain: 'GPU设备虚拟化为n个vGPU，其性能、显存也平均分为n份，具有独立的虚拟显存。'},
]

const network: any = [
    {value: "vpc", label: "VPC网络"},
    {value: "classic", label: "经典网络"},
]

/**
 * 主机配置
 */
const configuration = [
    {id: 'entry', label: '入门配置（1核1GB）', explain: '适用于起步阶段的个人网站', cpu: 1, ram: 1},
    {id: 'basics', label: '基础配置（1核2GB）', explain: '有一定访问量的网站或APP', cpu: 1, ram: 2},
    {id: 'universal', label: '普及配置（2核2GB）', explain: '并发适中的APP或普通数据处理', cpu: 2, ram: 2},
    {id: 'medium', label: '中级配置（4核8GB）', explain: '对并发量有一定要求的服务', cpu: 4, ram: 8},
    {id: 'custom', label: '自定义配置', explain: '更多机型配置，可以选择'},
]

/**
 * CPU
 */
const cpu = [1, 2, 4, 8, 12, 16, 24, 32, 56, 64];

/**
 * RAM内存
 */
const ram = {
    1: [1, 2, 4],
    2: [2, 4, 8],
    4: [4, 8, 16],
    8: [8, 16, 32],
    12: [12, 24, 48],
    16: [16, 32, 64],
    24: [48, 96],
    32: [64, 128],
    56: [64, 128],
    64: [64, 128],
}

/**
 * 包年包月续费时间
 */
const packageTime = [
    {label: '1月', value: 1, discount: 1},
    {label: '2月', value: 2, discount: 1},
    {label: '3月', value: 3, discount: 1},
    {label: '4月', value: 4, discount: 1},
    {label: '5月', value: 5, discount: 1},
    {label: '半年', value: 6, discount: 0.88},
    {label: '1年', value: 12, discount: 0.8},
    {label: '2年', value: 24, discount: 0.7},
]

const autoRenewTime = [
    {label: '按月续费', value: 1, discount: 1},
    {label: '按年续费', value: 12, discount: 0.8},
]

const HOUR = [
    "00:00", "01:00", "02:00", "03:00", "04:00", "05:00", "06:00", "07:00",
    "08:00", "09:00", "10:00", "11:00", "12:00", "13:00", "14:00", "15:00",
    "16:00", "17:00", "18:00", "19:00", "20:00", "21:00", "22:00", "23:00",
]

/*
    *  IP/带宽 类型
    * */
const bandDescMap = {
    VM_Y1IP: '香港国际',
    VM_Y2IP: '香港CN2',
    VM_V1IP: '香港',
    VM_W1IP: '美国',
    VM_A2IP: '新加坡国际',
    VM_X1IP: '香港',
    VM_U1IP: '单广电',
    VM_T1IP: '单铁通',
    VM_S1IP: '单移动',
    VM_Z1IP: '双线',
    VM_P1IP: '三线',
    VM_O1IP: '三线',
    VM_N1IP: '三线',
    VM_M1IP: '三线',
    VM_L1IP: '三线',
    VM_K1IP: '双线',
    VM_J1IP: '双线',
    VM_I1IP: '双线',
    VM_BGPIP: 'BGP',
    VM_TCIP: '电信',
    VM_UNIP: '联通',
    VM_PRIIP: '私网',
    'VM_SXIP-Ⅰ': '双线',
    VM_R1IP: '单联通',
    VM_Q1IP: '单电信',
    VM_B1IP: 'BGP',
    VM_C1IP: 'BGP',
    VM_D1IP: 'BGP',

    Y1IP: '香港国际',
    Y2IP: '香港CN2',
    V1IP: '香港',
    W1IP: '美国',
    A2IP: '新加坡国际',
    X1IP: '香港',
    U1IP: '单广电',
    T1IP: '单铁通',
    S1IP: '单移动',
    Z1IP: '双线',
    P1IP: '三线',
    O1IP: '三线',
    N1IP: '三线',
    M1IP: '三线',
    L1IP: '三线',
    K1IP: '双线',
    J1IP: '双线',
    I1IP: '双线',
    'SXIP-Ⅰ': '双线',
    R1IP: '单联通',
    Q1IP: '单电信',
    B1IP: 'BGP',
    C1IP: 'BGP',
    C2IP: '专线',
    D1IP: 'BGP',

    TCIP: '电信',
    UNIP: '联通',
    PRIIP: '私网',
    undefined: '',
    BGPIP: 'BGP'
}

/**
 * 资源计费模式
 */
const billingMethodType = {
    ElasticByDay: 'ElasticByDay',               // 弹性
    ElasticByDayFree: 'ElasticByDayFree',       // 弹性免费
    Package: 'Package',                         // 包年包月
    PackageFree: 'PackageFree',                 // 包年包月免费
    FlowByHour: 'FlowByHour',                   // 流量计费
}

const getVmMaxNumber: number = 5000;    // 最大vm数量
const leadTime = 5; // 流量接口延迟分钟
const createVMMaxTime = 24; // 创建VM最长时间：单位（月），适用于包年包月
const createVMMinTime = 1; // 创建VM最少时间：单位（月），适用于包年包月
const refreshTime = 60000; // 多长时间自动刷新列表 单位：毫秒
const vmRefreshTime = 15000; // VM列表刷新时间
const oneDayMillisecond = 86400000; // 一天的毫秒数
const userCookie = 24 * 60 * 60 * 1000; // 账号信息存Cookie的时间限制
const visitorCookie = 24 * 60 * 60 * 1000; // 游客token存Cookie的时间限制24h
const skipTime = 5; // 忘记密码、注册密码跳转登录页面时间

// vpc目标网段
const VPCNETWORD = [{net: '192.168.0.0/16'}];
// 交换机掩码
const MASKCODE = [24, 25, 26, 27, 28, 29];
// 掩码对应第三位的输入
const MASKCODELIST = {
    '25': [0, 128],
    '26': [0, 64, 128, 192],
    '27': [0, 32, 64, 128, 192, 224],
    '28': [0, 16, 32, 64, 128, 192, 224, 240],
    '29': [0, 8, 16, 32, 64, 128, 192, 224, 240, 248]
};

// 路由条目掩码
const ROUTENTERMASKCODE = [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32];

// IP地址保留不可用个数
const UNABLEIPNUM = 3;

/**协议类型 */
const PROTOCOLTYPES = [
    {type: '全部', protocol: 'all', port: '-1/-1'},
    {type: '自定义TCP', protocol: 'tcp', port: ''},
    {type: '自定义UDP', protocol: 'udp', port: ''},
    {type: '全部ICMP(IPV4)', protocol: 'icmp', port: '-1/-1'},
    {type: 'SSH', protocol: 'tcp', port: '22/22'},
    {type: 'telnet', protocol: 'tcp', port: '23/23'},
    {type: 'HTTP', protocol: 'tcp', port: '80/80'},
    {type: 'HTTPS', protocol: 'tcp', port: '443/443'},
    {type: 'MS SQL', protocol: 'tcp', port: '1433/1433'},
    {type: 'Oracle', protocol: 'tcp', port: '1521/1521'},
    {type: 'MySQL', protocol: 'tcp', port: '3306/3306'},
    {type: 'RDP', protocol: 'tcp', port: '3389/3389'},
    {type: 'PostgreSQL', protocol: 'tcp', port: '5432/5432'},
    {type: 'Redis', protocol: 'tcp', port: '6379/6379'}]
// 磁盘介质类型
const DISK_MEDIUM_TYPE = [
    {label: "中心存储", value: "RBD_HDD"},
    {label: "SSD存储", value: "RBD_SSD"},
]

const SYS_DISK_SIZE = {
    min: 50,
    max: 500,
}

const DATA_DISK_SIZE = {
    min: 50,
    max: 1000,
}

/**
 * 下载最大大小 10M
 */
const UPLOAD_FILE_MAX = 10485760;

/**
 * 导出数量
 */
const EXPORT_COUNT = 1000;

/**
 * 价格表排序
 */
const PRICE_ORDER = ['vm', 'disk', 'snap', 'image', 'ip', 'bandWidth', 'nat', 'slb']

const Constant: any = {
    network,                                    // 网络类型
    specification,                              // 规格
    configuration,                              // 配置
    cpu,                                        // CPU
    ram,                                        // RAM内存
    packageTime,                                // 包年包月续费时间
    autoRenewTime,                              // 自动续费时间
    bandDescMap,                                // IP类型
    getVmMaxNumber,                            // 最大VM数量
    leadTime,
    createVMMaxTime,
    createVMMinTime,
    refreshTime,
    vmRefreshTime,
    oneDayMillisecond,
    userCookie,
    visitorCookie,
    skipTime,
    VPCNETWORD,
    MASKCODE,
    MASKCODELIST,
    UNABLEIPNUM,
    billingMethodType,
    ROUTENTERMASKCODE,
    PROTOCOLTYPES,
    HOUR,                                       // 小时时间
    DISK_MEDIUM_TYPE,
    SYS_DISK_SIZE,
    DATA_DISK_SIZE,
    UPLOAD_FILE_MAX,                            // 上传文件最大值
    EXPORT_COUNT,                               // 导出最大数量
    PRICE_ORDER,
}
export default Constant;
