/*
 * @Author: your name
 * @Date: 2021-04-12 10:39:19
 * @LastEditTime: 2021-05-24 10:20:12
 * @LastEditors: Please set LastEditors
 * @Description: In User Settings Edit
 * @FilePath: \exclusive-cloud-admin\common\src\assets\filters\business.filter.ts
 */

/**
 * 运营模块的财务管理过滤器
 */


/**订单消费名称过滤 */
function orderAboutFilter(value: any) {
    let orderAbout = '';
    switch (value) {
        case 'vm':
            orderAbout = '云主机业务';
            break;
        case 'disk':
            orderAbout = '磁盘业务';
            break;
        case 'ip':
            orderAbout = 'IP业务';
            break;
        case 'bandWidth':
            orderAbout = '带宽业务';
            break;
        case 'image':
            orderAbout = '镜像业务';
            break;
        case 'snap':
            orderAbout = '快照业务';
            break;
        case 'nat':
            orderAbout = 'NAT业务';
            break;
        case 'slb':
            orderAbout = 'SLB业务';
            break;
        case 'other':
            orderAbout = '其他业务';
            break;
        case 'rds':
            orderAbout = 'RDS业务';
            break;
        case 'rds_backup':
            orderAbout = 'RDS备份业务';
            break;
    }
    return orderAbout;
}


/**订单消费类型过滤 */
function orderDetailFilter(value: any) {
    let handleObj: { [key: string]: any } = {
        create: '购买',
        detach: '销毁',
        renew: '续费',
        adjust: ['调整配置', '转包年包月'],
        attach: '挂载',
    }
    let operation = value?.split('_')[0];

    let resourceObj: { [key: string]: any } = {
        other: '其他业务',
        vm: '云主机',
        disk: '磁盘',
        ip: 'IP',
        image: '镜像',
        slb: 'SLB',
        rds: 'RDS',
        nat: 'NAT',
        vpc: 'VPC带宽',
        vswitch: '交换机',
        snap: '快照',
        rds_backup: 'RDS备份',
        band: '带宽',
    }
    let resource = value?.split('_')[1];

    if (operation === 'create') {
        if (resource === 'image') {
            return '选定磁盘创建镜像';
        } else if (resource === 'snap') {
            return '生成自动快照';
        } else {
            return handleObj[operation] + resourceObj[resource];
        }
    } else if (operation === 'adjust') {
        if (resource === 'ip') {
            return 'EIP转包年包月';
        }
        if (resource === 'vm' || resource === 'disk') {
            return resourceObj[resource] + handleObj[operation][1];
        } else {
            return resourceObj[resource] + handleObj[operation][0];
        }
    } else {
        return resourceObj[resource] + handleObj[operation];
    }
}


/**充值来源 */
function onLine(value: any) {
    let source = '';
    if (value) {
        switch (value) {
            // case 'RJ_CLOUD_ONLINE':source='线上充值';
            // break;
            // default: source='现金支付';
            case 'miniapppay':
            case 'paypal':
            case 'alipay':
                source = '线上充值';
                break;
            case 'weipay':
                source = '线上充值';
                break;
            case 'shengpay':
                source = '线上充值';
                break;
            case 'mobileweipay':
                source = '线上充值';
                break;
            case 'mobilealipay':
                source = '线上充值';
                break;
            case 'rjpay':
                source = '线上充值';
                break;
            case 'rjactivitypay':
                source = '线上充值';
                break;
            case 'cash':
                source = '线下充值';
                break;
            case 'refundPay':
                source = '现金提现';
                break;
            case 'lakalaQuickBankPay':
                source = '线上充值';
                break;
            default:
                source = value;
        }
    }
    return source;
}

/**资金返还 */
function busResource(value: any) {
    let resour = value;
    if (value) {
        switch (value) {
            case 'mobilealipay':
                resour = '支付宝';
                break;
            case 'alipay':
                resour = '支付宝';
                break;
            case 'miniapppay':
                resour = '微信';
                break;
            case 'mobileweipay':
                resour = '微信';
                break;
            case 'weipay':
                resour = '微信';
                break;
            case 'shengpay':
                resour = '网银充值';
                break;
            case 'rjpay':
                resour = '余额支付';
                break;
            case 'rjactivitypay':
                resour = '睿江活动支付';
                break;
            case 'coupon':
                resour = '代金券支付';
                break;
            case 'cash':
                resour = '现金支付';
                break;
            case 'refundPay':
                resour = '代金券回收'; // 代金券管理页面用
                break;
            case 'lakalaQuickBankPay':
                resour = '网银充值';
                break;
        }
    }
    resour = resour === '' ? '—' : resour;
    return resour;
}

function busTerminal(value: any) {
    let resour = value;
    if (value) {
        switch (value) {
            case 'mobilealipay':
            case 'mobileweipay':
                resour = '(移动端)';
                break;
            case 'alipay':
            case 'weipay':
                resour = '(网页端)';
                break;
            case 'miniapppay':
                resour = '(小程序)';
                break;
            default:
                resour = '';
        }
    }

    return resour;
}

function switchType(value: any) {
    let obj: any = {
        "create_vm": "购买云主机",
        "create_disk": "购买磁盘",
        "create_ip": "购买IP",
        "create_band_width": "购买带宽",
        "create_image": "购买镜像",
        "create_snap": "购买快照",
        "create_nat": "购买NAT",
        "create_slb": "购买SLB",
        "set_vm_config": "调整云主机配置",
        "set_rds_config": "调整RDS云数据库配置",
        "change_vm_to_package": "云主机转包年包月",
        "change_rds_to_package": "RDS云数据库转包年包月",
        "change_disk_to_package": "磁盘转包年包月",
        "change_ip_to_package": "IP转包年包月",
        "change_band_width_to_package": "带宽转包年包月",
        "attach_ip": "IP挂载",
        "attach_disk": "磁盘挂载",
        "detach_ip": "卸载IP",
        "detach_disk": "卸载磁盘",
        "clone_disk": "克隆磁盘",
        "set_band_width_count": "调整带宽",
        "renew_vm": "续费云主机",
        "renew_rds": "续费RDS云数据库",
        "renew_disk": "续费磁盘",
        "renew_ip": "续费IP",
        "renew_band_width": "续费带宽",
        "renew_image": "续费镜像",
        "renew_snap": "续费快照",
        "renew_nat": "续费NAT",
        "renew_slb": "续费SLB",
        "renew_band_width_flow_by_hour": "流量带宽包扣费",
        "reload_vm_and_adjust_disk": "重装云服务器调整磁盘",
        "create_rds": "购买RDS云数据库",
    }
    return obj[value]
}

export default {
    onLine,
    busResource,
    busTerminal,
    orderAboutFilter,
    orderDetailFilter,
    switchType,
}
