import {VueConstructor} from 'vue/types/umd';
import Common from './common';

// 全局守卫
function beforeEach(router: any, Vue: any) {
    router.beforeEach((to: any, from: any, next: any) => {
        const isNotLogin = to.meta.notLogin;
        let isAuthority = true;
        const logIn = '/login';
        // 跳转时将清除所有弹窗
        Vue.prototype.$layer && Vue.prototype.$layer.closeAll && Vue.prototype.$layer.closeAll();
        if (!isAuthority) {
            next(false);
            Vue.prototype.$layer.msg('权限不足', {type: 'warning'})
            return;
        }

        /** 平台路由权限ecp&eap*/
        let toPlatform = to.meta.platform;
        let currPlatform = Vue.prototype.$platform;
        if (toPlatform && currPlatform && toPlatform !== currPlatform) {
            Vue.prototype.$layer.msg('路由权限不足', {type: 'warning'})
            next(false);
            return;
        }

        /**登录权限 */
        if (!isNotLogin) {
            // @ts-ignore
            const userID = window['$platform'] === 'ecp' ? Common.getUserID('ecp') : Common.getAdminUserID();
            if (userID) {
                next();
            } else {
                next();
                const mandate = Common.getCookie('mandate');
                if (mandate === 'over') {

                } else {
                    window.location.href = logIn;
                }
            }
        } else {
            next();
        }
    })
}

export default beforeEach;
